package com.lovcoding.day04;

public class Test03_Switch_Ex {
    public static void main(String[] args) {
       /*
       用year ，month ，day 分别表示 年月日。 定义 2023 年 12月  26日，最后算出 2023 年 8月  26日是今年的第几天。
        提示
            判断闰年的标准
            （1）要么能被4整除，同时不能被100整除
            （2）要么能被400整除

            选择 Switch 1，3，5，7，8，10，12 31天   2 闰年 28   4,6,9,11 30天 运算符 +=
        */
        int year = 2000;
        int month = 12;
        int day = 31;

        //累加 闰年
        int days = 0;
        switch (month){
            case 12:
                days += 30;
            case 11:
                days += 31;
            case 10:
                days += 30;
            case 9:
                days += 31;
            case 8:
                days += 31;
            case 7:
                days += 30;
            case 6:
                days += 31;
            case 5:
                days += 30;
            case 4:
                days += 31;
            case 3:
                days += 28;
                if ( year % 4 == 0 && year %100 == 0  || year % 400 ==0){
                    days++;
                }
            case 2:
                days += 31;
            case 1:
                days += day; //month 的day 天数
                break;
            default:
                System.out.println("输入有误");
                break;
        }
        System.out.println(year+" 年 "+month+"月  "+day+"日一共是"+days+"天");
    }
}
